GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
json_token.h File Reference
`#include <grpc/support/slice.h>`
`#include <openssl/rsa.h>`
`#include "src/core/json/json.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_auth_json_key
struct | grpc_auth_refresh_token

## Macros
#define | GRPC_JWT_OAUTH2_AUDIENCE "https://www.googleapis.com/oauth2/v3/token"
#define | GRPC_AUTH_JSON_TYPE_INVALID "invalid"
#define | GRPC_AUTH_JSON_TYPE_SERVICE_ACCOUNT "service_account"
#define | GRPC_AUTH_JSON_TYPE_AUTHORIZED_USER "authorized_user"

## Typedefs
typedef char *(* | grpc_jwt_encode_and_sign_override )(const grpc_auth_json_key *json_key, const char *audience, gpr_timespec token_lifetime, const char *scope)

## Functions
int | grpc_auth_json_key_is_valid (const grpc_auth_json_key *json_key)
grpc_auth_json_key | grpc_auth_json_key_create_from_string (const char *json_string)
grpc_auth_json_key | grpc_auth_json_key_create_from_json (const grpc_json *json)
void | grpc_auth_json_key_destruct (grpc_auth_json_key *json_key)
char * | grpc_jwt_encode_and_sign (const grpc_auth_json_key *json_key, const char *audience, gpr_timespec token_lifetime, const char *scope)
void | grpc_jwt_encode_and_sign_set_override (grpc_jwt_encode_and_sign_override func)
int | grpc_auth_refresh_token_is_valid (const grpc_auth_refresh_token *refresh_token)
grpc_auth_refresh_token | grpc_auth_refresh_token_create_from_string (const char *json_string)
grpc_auth_refresh_token | grpc_auth_refresh_token_create_from_json (const grpc_json *json)
void | grpc_auth_refresh_token_destruct (grpc_auth_refresh_token *refresh_token)

## Macro Definition Documentation

#define GRPC_AUTH_JSON_TYPE_AUTHORIZED_USER "authorized_user"

#define GRPC_AUTH_JSON_TYPE_INVALID "invalid"

#define GRPC_AUTH_JSON_TYPE_SERVICE_ACCOUNT "service_account"

#define GRPC_JWT_OAUTH2_AUDIENCE "https://www.googleapis.com/oauth2/v3/token"

## Typedef Documentation

typedef char*(* grpc_jwt_encode_and_sign_override)(const grpc_auth_json_key *json_key, const char *audience, gpr_timespec token_lifetime, const char *scope)

## Function Documentation

grpc_auth_json_key grpc_auth_json_key_create_from_json | ( | const grpc_json * | json | ) |

grpc_auth_json_key grpc_auth_json_key_create_from_string | ( | const char * | json_string | ) |

void grpc_auth_json_key_destruct | ( | grpc_auth_json_key * | json_key | ) |

int grpc_auth_json_key_is_valid | ( | const grpc_auth_json_key * | json_key | ) |

grpc_auth_refresh_token grpc_auth_refresh_token_create_from_json | ( | const grpc_json * | json | ) |

grpc_auth_refresh_token grpc_auth_refresh_token_create_from_string | ( | const char * | json_string | ) |

void grpc_auth_refresh_token_destruct | ( | grpc_auth_refresh_token * | refresh_token | ) |

int grpc_auth_refresh_token_is_valid | ( | const grpc_auth_refresh_token * | refresh_token | ) |

char* grpc_jwt_encode_and_sign | ( | const grpc_auth_json_key * | json_key,
|  | const char * | audience,
|  | gpr_timespec | token_lifetime,
|  | const char * | scope
| ) |  |

void grpc_jwt_encode_and_sign_set_override | ( | grpc_jwt_encode_and_sign_override | func | ) |